slepc-3.21.1 2024-04-26
Report Typos and Errors

# STRegister

Adds a method to the spectral transformation package.

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STRegister(const char *name,PetscErrorCode (*function)(ST))

Not Collective

### Input Parameters

| name | - name of a new user-defined transformation
| function | - routine to create method context

### Notes

STRegister() may be called multiple times to add several user-defined spectral transformations.

### Example Usage

        STRegister("my_transform",MyTransformCreate);

Then, your spectral transform can be chosen with the procedural interface via

        STSetType(st,"my_transform")

or at runtime via the option

        -st_type my_transform

### See Also

STRegisterAll()

### Level

advanced

### Location

src/sys/classes/st/interface/stfunc.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages